git-annex/ git-annex-info

# NAME

git-annex info - information about an item or the repository

# SYNOPSIS

git annex info `[directory|file|treeish|remote|description|uuid ...]`

# DESCRIPTION

Displays statistics and other information for the specified item.

When no item is specified, displays overall information. This includes a list of all known repositories, how much annexed data is present in the local repository, the total size of all annexed data in the working tree, the combined size of annexed data in all repositories, and the annex sizes of each repository.

When a directory is specified, displays information about the annexed files in that directory (and subdirectories). This includes how much annexed data is present in the local repository, the total size of all annexed data in the directory, how many files have the specified numcopies or more (+1, +2 etc) or less (-1, -2 etc), and information about how much of the annexed data is stored in known repositories.

When a treeish is specified, displays similar information as when a directory is specified, but about the annexed files in that treeish.

When a remote, or description of a repository, or uuid is specified, displays information about the specified repository, including the total amount of annexed data stored in it, and a variety of configuration information.

# OPTIONS

- `--fast`

  Only show the information that can be gathered quickly.

- `--json`

  Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

- `--json-error-messages`

  Messages that would normally be output to standard error are included in the JSON instead.

- `--bytes`

  Show file sizes in bytes, disabling the default nicer units.

- `--batch`

  Enable batch mode, in which a line containing an item is read from stdin, the information about it is output to stdout, and repeat.

- `-z`

  Makes the `--batch` input be delimited by nulls instead of the usual newlines.

- `--autoenable`

  Display a list of special remotes that have been configured to autoenable.

- `--dead-repositories`

  Display a list of repositories that have been marked as dead. Such repositories are not displayed in other info displays.

- matching options

  The git-annex-matching-options(1) can be used to select what to include in the statistics.

- Also the git-annex-common-options(1) can be used.

# EXAMPLES

Suppose you want to run "git annex get .", but would first like to see how much disk space that will use. Then run:

    git annex info --fast . --not --in here

# SEE ALSO

git-annex(1)

# AUTHOR

Joey Hess id@joeyh.name

Warning: Automatically converted into a man page by mdwn2man. Edit with care.

Comments on this page are closed.